curl --request POST \
--url https://api-fundflow-qa.venly.io/v1/ramp-requests/{id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 123
}'{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"rampType": "ON_RAMP",
"status": "AWAITING_APPROVAL",
"amount": 123,
"netAmount": 123,
"fiatAmount": 1000,
"fiatNetAmount": 990,
"cryptoAmount": 0.5,
"fiatFeeAmount": 10,
"exchangeRate": 2000,
"feePercentage": 1,
"paymentReference": "PAY-2024-001234",
"paymentReceived": true,
"blockchainTransactionHash": "0x1234...",
"createdAt": "2023-11-07T05:31:56Z",
"companyBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bankName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"bankCountry": "<string>",
"beneficiaryAddressLine1": "<string>",
"beneficiaryAddressLine2": "<string>",
"beneficiaryCity": "<string>",
"beneficiaryState": "<string>",
"beneficiaryPostalCode": "<string>",
"beneficiaryCountry": "<string>",
"bankAccountType": "EUR_SEPA",
"supportedRampType": "ON_RAMP",
"verificationStatus": "PENDING",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"iban": "<string>",
"bic": "<string>",
"intermediaryBic": "<string>"
},
"companyWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"address": "<string>",
"chain": "ETHEREUM",
"verificationStatus": "PENDING",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123
},
"depositBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankName": "<string>",
"beneficiary": "<string>",
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"label": "<string>",
"isActive": true,
"isDefault": true,
"bankAccountType": "EUR_SEPA",
"version": 123,
"bic": "<string>",
"intermediaryBic": "<string>",
"iban": "<string>"
},
"depositWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"chain": "ETHEREUM",
"label": "<string>",
"isDefault": true,
"isActive": true,
"version": 123
},
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"cryptoCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"chain": "ETHEREUM",
"label": "USD Coin",
"enabled": true,
"version": 123,
"coingeckoId": "<string>"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "CREATED",
"userId": "<string>",
"username": "<string>",
"email": "<string>",
"role": "COMPANY_ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"version": 123,
"metadata": {}
}
],
"version": 123,
"amountReceived": 123
}
}This endpoint allows a Company Admin to reject a ramp request that is created by a Manager. The status will change to REJECTED.
curl --request POST \
--url https://api-fundflow-qa.venly.io/v1/ramp-requests/{id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 123
}'{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"rampType": "ON_RAMP",
"status": "AWAITING_APPROVAL",
"amount": 123,
"netAmount": 123,
"fiatAmount": 1000,
"fiatNetAmount": 990,
"cryptoAmount": 0.5,
"fiatFeeAmount": 10,
"exchangeRate": 2000,
"feePercentage": 1,
"paymentReference": "PAY-2024-001234",
"paymentReceived": true,
"blockchainTransactionHash": "0x1234...",
"createdAt": "2023-11-07T05:31:56Z",
"companyBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bankName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"bankCountry": "<string>",
"beneficiaryAddressLine1": "<string>",
"beneficiaryAddressLine2": "<string>",
"beneficiaryCity": "<string>",
"beneficiaryState": "<string>",
"beneficiaryPostalCode": "<string>",
"beneficiaryCountry": "<string>",
"bankAccountType": "EUR_SEPA",
"supportedRampType": "ON_RAMP",
"verificationStatus": "PENDING",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"iban": "<string>",
"bic": "<string>",
"intermediaryBic": "<string>"
},
"companyWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"address": "<string>",
"chain": "ETHEREUM",
"verificationStatus": "PENDING",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123
},
"depositBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankName": "<string>",
"beneficiary": "<string>",
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"label": "<string>",
"isActive": true,
"isDefault": true,
"bankAccountType": "EUR_SEPA",
"version": 123,
"bic": "<string>",
"intermediaryBic": "<string>",
"iban": "<string>"
},
"depositWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"chain": "ETHEREUM",
"label": "<string>",
"isDefault": true,
"isActive": true,
"version": 123
},
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"cryptoCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"chain": "ETHEREUM",
"label": "USD Coin",
"enabled": true,
"version": 123,
"coingeckoId": "<string>"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "CREATED",
"userId": "<string>",
"username": "<string>",
"email": "<string>",
"role": "COMPANY_ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"version": 123,
"metadata": {}
}
],
"version": 123,
"amountReceived": 123
}
}OAuth2 authentication via Venly Identity Platform
Unique identifier of the ramp request
Request containing only the version number for optimistic locking control
Version number for optimistic locking. Must match the current version of the entity. If a version conflict occurs, fetch the latest version and retry.